<!-- 
TEI XSLT stylesheet family version 2.0
RCS: $Date: 2003/09/01 14:05:34 $, $Revision: 1.2 $, $Author: sorin $

XSL FO stylesheet to format TEI XML documents 

 Copyright 1999-2003 Sebastian Rahtz/Oxford University  

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
     
    The author may be contacted via the e-mail address
 
    sebastian.rahtz@oucs.ox.ac.uk
-->
<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
  xmlns:fo="http://www.w3.org/1999/XSL/Format"
  >

<!-- cross-referencing -->
<xsl:template match="ptr">
 <fo:basic-link>
   <xsl:call-template name="linkStyle"/>
  <xsl:attribute name="internal-destination"><xsl:value-of select="translate(@target,'_','-')"/></xsl:attribute>
  <xsl:apply-templates mode="xref" select="key('IDS',@target)" />
 </fo:basic-link>
</xsl:template>

<xsl:template match="ref">
 <fo:basic-link>
   <xsl:call-template name="linkStyle"/>
  <xsl:attribute name="internal-destination"><xsl:value-of select="translate(@target,'_','-')"/></xsl:attribute>
  <xsl:apply-templates/>
 </fo:basic-link>
</xsl:template>

<xsl:template match="xref">
  <xsl:variable name="dest">
       <xsl:choose>
    <xsl:when test="@doc">
     <xsl:value-of select="unparsed-entity-uri(@doc)"/>
    </xsl:when>
    <xsl:otherwise>
      <xsl:value-of select="@url"/>
    </xsl:otherwise>
   </xsl:choose>
  </xsl:variable>
  <fo:basic-link external-destination="{$dest}">
      <xsl:call-template name="linkStyle"/>
      <xsl:apply-templates/>
   </fo:basic-link>
   <xsl:call-template name="showXrefURL">
       <xsl:with-param name="dest" select="$dest"/>
   </xsl:call-template>
</xsl:template>

<xsl:template match="xptr">
<fo:basic-link font-family="{$typewriterFont}">
   <xsl:call-template name="linkStyle"/>
   <xsl:attribute name="external-destination">
    <xsl:choose>
     <xsl:when test="@doc">
      <xsl:value-of select="unparsed-entity-uri(@doc)"/>
     </xsl:when>
     <xsl:otherwise>
       <xsl:value-of select="@url"/>
     </xsl:otherwise>
    </xsl:choose>
   </xsl:attribute>
   <xsl:choose>
    <xsl:when test="@doc">
     <xsl:value-of select="unparsed-entity-uri(@doc)"/>
    </xsl:when>
    <xsl:otherwise>
      <xsl:value-of select="@url"/>
    </xsl:otherwise>
   </xsl:choose>
</fo:basic-link>
</xsl:template>

</xsl:stylesheet>
