<!-- 
TEI XSLT stylesheet family version 2.0
RCS: $Date: 2003/09/01 14:05:34 $, $Revision: 1.2 $, $Author: sorin $

XSL FO stylesheet to format TEI XML documents 

 Copyright 1999-2003 Sebastian Rahtz/Oxford University  

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
     
    The author may be contacted via the e-mail address
 
    sebastian.rahtz@oucs.ox.ac.uk
-->

<!-- Still to handle from exercise.xml
marginal notes
-->

<xsl:stylesheet
  xmlns:fotex="http://www.tug.org/fotex"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
  xmlns:fo="http://www.w3.org/1999/XSL/Format">


<!-- parameterization -->

<xsl:import href="teicommon.xsl"/>
<xsl:import href="tei-param.xsl"/>

<xsl:strip-space elements="cell"/>

<xsl:output indent="no"/>

<!-- overrides -->

<xsl:key name="IDS" match="*[@id]" use="@id"/>

<xsl:variable name="top" select="/"/>
<xsl:variable name="tableSpecs">
  <xsl:choose>
  <xsl:when test="$readColSpecFile">
  <xsl:copy-of
      select="document($readColSpecFile,$top)/Info"/>
 </xsl:when>
 <xsl:otherwise> <Info></Info></xsl:otherwise>
</xsl:choose>
</xsl:variable>

<!-- example of different configuration
<xsl:variable name="activeLinebreaks">true</xsl:variable>
<xsl:variable name="activePagebreaks">true</xsl:variable>

<xsl:variable name="bodyMaster">12</xsl:variable>
<xsl:variable name="bodySize">
 <xsl:value-of select="$bodyMaster"/><xsl:text>pt</xsl:text>
</xsl:variable>
<xsl:variable name="smallSize">
 <xsl:value-of select="$bodyMaster * 0.9"/><xsl:text>pt</xsl:text>
</xsl:variable>
<xsl:variable name="exampleSize">
 <xsl:value-of select="$bodyMaster * 0.8"/><xsl:text>pt</xsl:text>
</xsl:variable>
<xsl:variable name="pageMarginBottom">325pt</xsl:variable>
<xsl:variable name="pageMarginRight">250pt</xsl:variable>
-->
<xsl:include href="tei-lib.xsl"/>
<xsl:include href="tei-bib.xsl"/>
<xsl:include href="tei-drama.xsl"/>
<xsl:include href="tei-figure.xsl"/>
<xsl:include href="tei-front.xsl"/>
<xsl:include href="tei-lists.xsl"/>
<xsl:include href="tei-notes.xsl"/>
<xsl:include href="tei-para.xsl"/>
<xsl:include href="tei-poetry.xsl"/>
<xsl:include href="tei-special.xsl"/>
<xsl:include href="tei-struct.xsl"/>
<xsl:include href="tei-table.xsl"/>
<xsl:include href="tei-xref.xsl"/>
<xsl:include href="tei-markers.xsl"/>
<xsl:include href="tei-math.xsl"/>
<xsl:include href="tei-makecolspec.xsl"/>

<xsl:variable name="processor">
   <xsl:value-of select="system-property('xsl:vendor')"/>
</xsl:variable>

</xsl:stylesheet>
